update_sandbox_repo:
  stage: build
  only:
    - develop
  script:
#    - cd /gitlab/www-sandbox/dashboard/client/uploads/
#    - mkdir dummyFolderToBeDeleted
#    - ls | grep -v 'templateQuestionaire\|orderQuestionaire\|configuration\|customerAcceptance\|installGuide' | xargs rm -fR
    - rm -f api-wiaas/client/uploads/orderQuestionaire/*
    - rm -f api-wiaas/client/uploads/configuration/*
    - rm -f api-wiaas/client/uploads/customerAcceptance/*
    - cd /gitlab/www-sandbox/dashboard/
    - git checkout -- .
    - git pull
    - php api-wiaas/sandbox_scripts/update_application_mode.php
    - cd api-wiaas
    - composer install
    - cd ..
    - cd client-wiaas
    - php scripts/update_applciaiton_mode.php
    - npm install
    - npm run-script build
    - cp -R /gitlab/www-sandbox/dashboard/client-wiaas/build/. /gitlab/www-sandbox/wiaasBuild
    - cp -R /gitlab/www-sandbox/dashboard/api-wiaas /gitlab/www-sandbox/wiaasBuild
  tags:
    - dev-jobs

wiias_test:
  stage: test
  only:
    - develop
  script:
    - cd /gitlab/jenkins_cli
    - java -jar jenkins-cli.jar -i /home/qa_automated_tests_user/.ssh/id_rsa -s http://jenkinsmaster.saguaronet.ro:8081/ build test-automation -s -v
  tags:
    - tests
